Package org.apache.commons.lang3.function

## Interface FailableObjIntConsumer<T,​E extends java.lang.Throwable>

Type Parameters:
  `T` - the type of the object argument to the operation.
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableObjIntConsumer<T,​E extends java.lang.Throwable>

A functional interface like `ObjIntConsumer` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableObjIntConsumer` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`void` `accept​(T object, int value)` Accepts the consumer.
`static <T,​E extends java.lang.Throwable> FailableObjIntConsumer<T,​E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableObjIntConsumer NOP

NOP singleton

### Method Detail

#### nop

    static <T,​E extends java.lang.Throwable> FailableObjIntConsumer<T,​E> nop()

Returns The NOP singleton.

Type Parameters:
  `T` - the type of the object argument to the operation.
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### accept

    void accept​(T object,
                int value)
         throws E extends java.lang.Throwable

Accepts the consumer.

Parameters:
  `object` - the object parameter for the consumable to accept.
  `value` - the int parameter for the consumable to accept.
Throws:
  `E` - Thrown when the consumer fails.
  `E extends java.lang.Throwable`